How can I temporarily disable warnings in the XDE client?


#1

As others here have posted, I’m getting this warning nonstop:

Warning: isMounted(…) is deprecated in plain JavaScript React classes (etc)

The issue seems to have been fixed with React Native however it cannot be released yet until the next stable version, as discussed here:

#18868

I disabled the YellowBox warnings in the expo app however in the XDE client I’m still getting flooded with the warning in the console and it’s causing really bad lag to the point where I can’t even develop right now. I want to temporarily get rid of this warning (or even all warnings on Expo if that’s the only way) until either RN releases a stable update or Expo releases a fix to get rid of the warning on their end. Anyone have a suggestion?

p.s. Temporarily downgrading is not an option. I just upgraded Expo SDK and React-Native yesterday to fix an issue involving app permissions (which is why I’m now getting this regressive warning) and need to stay on the new versions.


#2

Hi @kosmic - I’ve just published expo@27.0.2 to NPM which should fix this. Please try upgrading to that version. Let us know if you’re still running into issues!


#3

Upgraded and it’s all better now. I <3 Expo :slight_smile: Thank you for the fix!!


closed #4

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.